## org.biojava.stats.svm.tools
Class SuffixTreeKernel.UniformScaler

    java.lang.Object
      |
      +--org.biojava.stats.svm.tools.SuffixTreeKernel.UniformScaler

Enclosing class:
  SuffixTreeKernel

public static class SuffixTreeKernel.UniformScaler
extends java.lang.Object
implements SuffixTreeKernel.DepthScaler, java.io.Serializable

Scale all depths by 1.0

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`SuffixTreeKernel.UniformScaler()`

Method Summary
`double` `getScale(int depth)` Retrieve the scaling factor at a given depth

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuffixTreeKernel.UniformScaler

    public SuffixTreeKernel.UniformScaler()

Method Detail

### getScale

    public double getScale(int depth)

  Description copied from interface: SuffixTreeKernel.DepthScaler
  Retrieve the scaling factor at a given depth
  Specified by:
    getScale in interface SuffixTreeKernel.DepthScaler
  Tags copied from interface: SuffixTreeKernel.DepthScaler
  Parameters:
    `depth` - word length
  Returns:
    the scaling factor for the subspace at that length